Skip to content

transaction_status_api.find_transaction ​

since The Mysterious Future disabled testnet: not working — Not yet enabled. mainnet: not working — Not yet enabled.

Defined in the steem source (52dcfabb) but not served by public nodes.

Purpose ​

Returns the status of a given transaction id. Parameters: trx_id:string; expiration:timestamp (optional)

The result will contain one of the following status values:

StatusMeaning
unknownExpiration time in future, transaction not included in block or mempool
within_mempoolTransaction in mempool
within_reversible_blockTransaction has been included in block, block not irreversible
within_irreversible_blockTransaction has been included in block, block is irreversible
expired_reversibleTransaction has expired, transaction is not irreversible (transaction could be in a fork)
expired_irreversibleTransaction has expired, transaction is irreversible (transaction cannot be in a fork)
too_oldTransaction is too old, I don't know about it

Parameters ​

PARAMETERS
json
{
  "transaction_id": "0000000000000000000000000000000000000000",
  "expiration": "2016-03-24T18:00:21"
}

⚠ Defined in the steem source, but not enabled on public nodes.

Example ​

Example 1 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "transaction_status_api.find_transaction",
    "params": {
      "transaction_id": "0000000000000000000000000000000000000000"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "transaction_status_api.find_transaction",
    "params": {
      "transaction_id": "0000000000000000000000000000000000000000",
      "expiration": "2016-03-24T18:00:21"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "status": "unknown"
}